package org.greenstone.gsdl3.service;

import org.w3c.dom.Document; 
import org.w3c.dom.Node; 
import org.w3c.dom.Element; 
import org.w3c.dom.Text; 

/** PhindService - the phind phrase browsing service
 * 
 */
public class PhindService 
    extends ServiceModule {

    
    protected Element processService(String name, Element request) {

	if (!name.equals("PhindPhraseBrowse")) {
	    System.err.println("PhindService:you have asked for a non-existant service - "+name+"!");
	    return null;
	}
	// create dummy response
	Element res = doc_.createElement("response");
	res.setAttribute("from", "PhindPhraseBrowse");
	Element data = doc_.createElement("content");
	Text t = doc_.createTextNode("this is the results for a phind request");
	data.appendChild(t);
	
	res.appendChild(data);

	return res;
	
    }
    /** configure the service module
     *
     * @param info a DOM Element containing any config info for the service
     * @return true if configured
     */
    public boolean configure(Element info) {

	System.out.println("configuring PhindService");

	// set up short_service_info_ - for now just has name and type
	Element e = doc_.createElement("service");
	e.setAttribute("type", "query");
	e.setAttribute("name", "PhindPhraseBrowse");
	short_service_info_.appendChild(e);

	// set up service_info_map_ - we only have one element, and it has
	// no extra info yet - we are not processing the config info
	Element f = doc_.createElement("service");
	f.setAttribute("type", "query");
	f.setAttribute("name", "PhindPhraseBrowse");
	service_info_map_.put("PhindPhraseBrowse", f);
	
	return true;
    }

    
}
